# collada.light.PointLight

class `collada.light.``PointLight`(id, color, constant_att=None, linear_att=None, quad_att=None, zfar=None, xmlnode=None)

  Bases: `collada.light.Light`

  Point light as defined in COLLADA tag <point>.

  `__init__`(id, color, constant_att=None, linear_att=None, quad_att=None, zfar=None, xmlnode=None)

    Create a new sun light.

    Parameters:

    - id (str) – A unique string identifier for the light
    - color (tuple) – Either a tuple of size 3 containing the RGB color value of the light or a tuple of size 4 containing the RGBA color value of the light
    - constant_att (float) – Constant attenuation factor
    - linear_att (float) – Linear attenuation factor
    - quad_att (float) – Quadratic attenuation factor
    - zfar (float) – Distance to the far clipping plane
    - xmlnode – If loaded from xml, the xml node

  Methods

  `__init__`(id, color[, constant_att, …]) | Create a new sun light.
  `bind`(matrix) | Binds this light to a transform matrix.
  `load`(collada, localscope, node) | Load and return a class instance from an XML node.
  `save`() | Saves the light’s properties back to `xmlnode`

  `id` = None

    The unique string identifier for the light

  `color` = None

    Either a tuple of size 3 containing the RGB color value of the light or a tuple of size 4 containing the RGBA color value of the light

  `constant_att` = None

    Constant attenuation factor.

  `linear_att` = None

    Linear attenuation factor.

  `quad_att` = None

    Quadratic attenuation factor.

  `zfar` = None

    Distance to the far clipping plane

  `xmlnode` = None

    ElementTree representation of the light.

  `save`()

    Saves the light’s properties back to `xmlnode`

  static `load`(collada, localscope, node)

    Load and return a class instance from an XML node.

    Inspect the data inside node, which must match this class tag and create an instance out of it.

    Parameters:

    - collada (collada.Collada) – The collada file object where this object lives
    - localscope (dict) – If there is a local scope where we should look for local ids (sid) this is the dictionary. Otherwise empty dict ({})
    - node – An Element from python’s ElementTree API

  `bind`(matrix)

    Binds this light to a transform matrix.

    Parameters: | matrix (numpy.array) – A 4x4 numpy float matrix
    Return type: | `collada.light.BoundPointLight`